<div class="trends-wrapper">
  <ng-container *ngFor="let track of trendsTracks; index as i">
    <mat-card>
      <mat-card-header>
        <div mat-card-avatar matBadge="{{ i + 1 }}" matBadgePosition="before" matBadgeColor="accent"></div>
        <mat-card-title>{{ track.title }}</mat-card-title>
      </mat-card-header>

      <a [href]="track.link" target="_blank">
        <img mat-card-image [src]="track.albumCover" alt="Album">
      </a>

      <mat-card-content>
        <p>
          <mat-icon>album</mat-icon>
          <span>{{ track.album }}</span>
        </p>
        <p>
          <mat-icon>group</mat-icon>
          <span class="artists">{{ track.artists }}</span>
        </p>
      </mat-card-content>

      <mat-card-footer>
        <ng-container *ngIf="track.preview; else previewUnavailable">
          <audio (play)="pauseTracksBeforePlay($event.target)" controls translate preload="none">
            <source [src]="track.preview" type="audio/mpeg">
            trends.audio
          </audio>
        </ng-container>

        <ng-template #previewUnavailable>
          <div class="preview-unavailable">
            <mat-icon>mood_bad</mat-icon>
            <p translate>trends.audio_unavailable</p>
          </div>
        </ng-template>
      </mat-card-footer>
    </mat-card>
  </ng-container>
</div>
